summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp
diff options
context:
space:
mode:
authorMarek Gradzki <mgradzki@cisco.com>2017-03-21 09:26:47 +0100
committerMarek Gradzki <mgradzki@cisco.com>2017-03-21 09:26:47 +0100
commit056928ef4743c00469e86bf0b572504358600853 (patch)
treec9400a2541e1488b636b00a276e72630f28eb7b3 /jjb/hc2vpp
parent0282c178dc9c72e229b5e9551db650dacf7fc395 (diff)
Disable CSIT functional tests for ubuntu14
Change-Id: I2f870d39a52c5c8b77dcd980ed017884d194007b Signed-off-by: Marek Gradzki <mgradzki@cisco.com>
Diffstat (limited to 'jjb/hc2vpp')
-rw-r--r--jjb/hc2vpp/csit-hc2vpp.yaml14
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh12
2 files changed, 2 insertions, 24 deletions
diff --git a/jjb/hc2vpp/csit-hc2vpp.yaml b/jjb/hc2vpp/csit-hc2vpp.yaml
index 145952fa7..0c838f422 100644
--- a/jjb/hc2vpp/csit-hc2vpp.yaml
+++ b/jjb/hc2vpp/csit-hc2vpp.yaml
@@ -14,8 +14,6 @@
branch: 'stable/1701'
repo-stream-part: 'stable.1701'
os:
- - ubuntu1404:
- repo-os-part: 'ubuntu.trusty.main'
- ubuntu1604:
repo-os-part: 'ubuntu.xenial.main'
@@ -54,18 +52,10 @@
jobs: 'hc2vpp-integration-{stream}-{os}'
result: 'success'
- prebuilders:
- - shell: |
- if [ "${{OS}}" == "ubuntu1404" ];then sudo update-java-alternatives -s /usr/lib/jvm/java-1.8.0-openjdk-amd64||echo 'ignoring failure';fi
-
builders:
- shell:
!include-raw-escape: include-raw-hc2vpp-csit-integration.sh
- postbuilders:
- - shell: |
- if [ "${{OS}}" == "ubuntu1404" ];then sudo update-java-alternatives -s /usr/lib/jvm/java-1.7.0-openjdk-amd64||echo 'ignoring failure';fi
-
publishers:
- archive-artifacts:
artifacts: 'csit/report.html, csit/log.html, csit/output.xml, csit/honeycomb.log'
@@ -134,8 +124,6 @@
notbuilt: true
prebuilders:
- - shell: |
- if [ "${{OS}}" == "ubuntu1404" ];then sudo update-java-alternatives -s /usr/lib/jvm/java-1.8.0-openjdk-amd64||echo 'ignoring failure';fi
- shell:
!include-raw-escape: include-raw-hc2vpp-csit-verify-prebuild.sh
@@ -152,8 +140,6 @@
postbuilders:
- shell:
!include-raw-escape: include-raw-hc2vpp-csit-verify.sh
- - shell: |
- if [ "${{OS}}" == "ubuntu1404" ];then sudo update-java-alternatives -s /usr/lib/jvm/java-1.7.0-openjdk-amd64||echo 'ignoring failure';fi
publishers:
- archive-artifacts:
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
index 99b8d3fa8..227df6f3e 100644
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify.sh
@@ -2,16 +2,8 @@
set -xeu -o pipefail
# create HC .deb packages
-if [ "${OS}" == "ubuntu1404" ]; then
-
- ./packaging/deb/trusty/debuild.sh
- cp ./packaging/deb/trusty/*.deb ${WORKSPACE}/csit
-
-elif [ "${OS}" == "ubuntu1604" ]; then
-
- ./packaging/deb/xenial/debuild.sh
- cp ./packaging/deb/xenial/*.deb ${WORKSPACE}/csit
-fi
+./packaging/deb/xenial/debuild.sh
+cp ./packaging/deb/xenial/*.deb ${WORKSPACE}/csit
cd ${WORKSPACE}/csit
# execute csit bootstrap script if it exists